<?

require_once("include/bittorrent.php");
dbconn(true);
loggedinorreturn();
if (get_user_class() < UC_MODERATOR){
stderr("Fehler","Zugriff erst ab Mod!!!");
}

stdhead("gebannte User");
$action = htmlentities($_GET["action"]);

if(empty($action)) {

$get_entbannen = mysql_query("SELECT * FROM users WHERE enabled = 'no' ORDER BY id DESC");
begin_frame("User die gebannt sind");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb" width="100%"><div align="center"><font color="#008000">Zurzeit haben wir</font>&nbsp;<font color="#FF0000"><?php echo mysql_num_rows($get_entbannen); ?></font>&nbsp;<font color="#008000">gebannte User</font></div></td>
  </tr>
</table>
<br />
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
<?
if (get_user_class() >= UC_TEAMLEITUNG){
?>
    <td class="tableb" width="100%"><div align="center"><font color="#008000">Alle User&nbsp;</font>&nbsp;<a href="entbannen.php?action=alle_entbannen" onclick="return confirm('Biste Wahnsinnig ? Bist du dir sicher das du alle User entbannen möchtest ?');"><font color="#FF0000">entbannen</font></a>&nbsp;<font color="#008000">aus dieser Liste</font></font></div></td>
<?
}
?>
  </tr>
</table>
<br />
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb">Name</td>
    <td class="tableb"><center>Letzter Login</center></td>
    <td class="tableb"><center>Letzter Zugriff</center></td>
    <td class="tableb"><center>IP</center></td>
    <td class="tableb"><center>PM</center></td>
    <td class="tableb"><center>Deaktivierung</center></td>
    <td class="tableb"><center>Verwarnen</center></td>
    <td class="tableb"><center>Download</center></td>
  </tr>
<?
while($data_user = mysql_fetch_array($get_entbannen)) {

if ($data_user[added] == "0000-00-00 00:00:00")
$joindate = 'N/A';
else
$joindate = "Reg.: " . get_elapsed_time(sql_timestamp_to_unix_timestamp($data_user["added"])) . "";

if ($data_user["avatar"])
$avatarover = $data_user["avatar"];
elseif (!$data_user["avatar"])
$avatarover = $GLOBALS["PIC_BASE_URL"] . "default_avatarr.gif";

$uploaded = mksize($data_user["uploaded"]);
$downloaded = mksize($data_user["downloaded"]);
$ratio = number_format($data_user["uploaded"] / $data_user["downloaded"], 3);

if ($data_user["webseed"] == "yes")  {
$webs="<img src=pic/ws.jpg>";
}else{
$webs="";
}

if  ($data_user["adsl"]=="yes") {
$adsl="<img src=pic/adsl.gif>";
}else{
$adsl="";
}

if  ($data_user["vdsl"]=="yes") {
$vdsl="<img src=pic/vdsl.gif>";
}else{
$vdsl="";
}

$icons = array("enabled" => $data_user["enabled"], "warned" => $data_user["warned"], "atwork" => $data_user["atwork"], "donor" => $data_user["donor"]);
$name = "<a href=userdetails.php?id=".htmlentities($data_user["id"]). " onmouseover=\"return overlib('<table cellpadding=4 cellspacing=1 width=100% height=80><tr><td class=tablea align=left ><br><center><img align=center src=$avatarover height=90 width=80></center><br> <font color=green>UP: $uploaded</font><br> <font color=darkred>DL: $downloaded</font><br>Ratio: <font color=" . get_ratio_color($ratio) . ">".$ratio."</font><br>$joindate<br><font color=red>$adsl $vdsl $webs </font></div>', CAPTION, '');\" onmouseout=\"return nd();\"><font class=".get_class_color($data_user["class"]).">".htmlentities($data_user["username"])."</a>&nbsp;" .get_user_icons($icons). "";

?>
  <tr>
    <td class="tablea"><?php echo "$name"; ?></td>
    <td class="tablea"><center><?php echo htmlentities($data_user["last_login"]); ?></center></td>
    <td class="tablea"><center><?php echo htmlentities($data_user["last_access"]); ?></center></td>
    <td class="tablea"><center><?php echo htmlentities($data_user["ip"]); ?></center></td>
    <td class="tablea"><center><?php echo "<a href=messages.php?action=send&receiver=" .htmlentities($data_user["id"]). "><img src=pic/button_pm2.gif border=0></a>"; ?></center></td>
    <td class="tablea"><center><a href="entbannen.php?action=user_ban&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#FF0000">Deaktiv.</font></a>&nbsp;-&nbsp;<a href="entbannen.php?action=user_entban&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#008000">Aktiv.</font></a></center></td>
    <td class="tablea"><center><a href="entbannen.php?action=user_verwarnen&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#FF0000">Warnen</font></a>&nbsp;-&nbsp;<a href="entbannen.php?action=user_entwarnen&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#008000">Entwarnen</font></a></center></td>
    <td class="tablea"><center><a href="entbannen.php?action=user_dlsperre&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#FF0000">Sperren</font></a>&nbsp;-&nbsp;<a href="entbannen.php?action=user_dlentsperren&id=<?php echo htmlentities($data_user["id"]); ?>"><font color="#008000">Entsperren</font></a></center></td>
  </tr>
<? } ?>
</table>
<?
end_frame();
}

if($action == "alle_entbannen") {

begin_frame("Alle entbannen");
mysql_query("UPDATE users SET enabled = 'yes' WHERE enabled = 'no'") or sqlerr(__FILE__,__LINE__);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] entbannt.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#008000">Alle Usern erfolgreich entbannt.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_ban") {

$id = intval($_GET["id"]);

begin_frame("User Ban");
mysql_query("UPDATE users SET enabled = 'no' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] deaktiviert.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#FF0000">User erfolgreich Deaktiviert.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_entban") {

$id = $_GET["id"];

begin_frame("User Entbannen");
mysql_query("UPDATE users SET enabled = 'yes' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] aktiviert.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#008000">User erfolgreich Aktiviert.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_dlsperre") {

$id = $_GET["id"];

begin_frame("User DL Sperre");
mysql_query("UPDATE users SET allowdownload = 'no' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
$betreff = "Downloadsperre";
$msg = "Dir wurde der Download gesperrt!";
sendPersonalMessage(0, $id, $betreff, $msg, PM_FOLDERID_INBOX, 0);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] der DL Gesperrt.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#FF0000">User erfolgreich den Download gesperrt.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_dlentsperren") {

$id = $_GET["id"];

begin_frame("User DL Entsperren");
mysql_query("UPDATE users SET allowdownload = 'yes' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
$betreff = "Downloadsperre";
$msg = "Dir wurde das Downloaden wieder erlaubt!";
sendPersonalMessage(0, $id, $betreff, $msg, PM_FOLDERID_INBOX, 0);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] der DL Erlaubt.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#008000">User erfolgreich den Download erlaubt.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_verwarnen") {

$id = $_GET["id"];

begin_frame("User Verwarnen");
mysql_query("UPDATE users SET warned = 'yes' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
$betreff = "Verwarnung";
$msg = "Du wurdest Verwarnt!";
sendPersonalMessage(0, $id, $betreff, $msg, PM_FOLDERID_INBOX, 0);
write_modcomment(htmlentities($id), 0, "Wurde von $CURUSER[username] verwarnt.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#FF0000">User erfolgreich Verwarnt.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}

if($action == "user_entwarnen") {

$id = $_GET["id"];

begin_frame("User Entwarnen");
mysql_query("UPDATE users SET warned = 'no' WHERE id = '$id'") or sqlerr(__FILE__,__LINE__);
$betreff = "Verwarnung";
$msg = "Deine Verwarnung wurde zurückgenommen!";
sendPersonalMessage(0, $id, $betreff, $msg, PM_FOLDERID_INBOX, 0);
write_modcomment(htmlentities($id), 0, "Die Verwarnung wurde von $CURUSER[username] zurückgenommen.");
?>
<table width="100%" border="0" cellspacing="1" cellpadding="4" class="tableinborder">
  <tr>
    <td class="tableb"><font color="#008000">Verwarnung erfolgreich zurückgenommen.....</font> [<a href="entbannen.php">Weiter</a>]</td>
  </tr>
</table>
<?
end_frame();
}
stdfoot();
?> 